<?php
/**
 * #################################
 * ### The Fabulous Deleting One ###
 * #################################
 *
 * ### ATTENTION ###
 * Be carefull! This script will delete every file and subdirectory which is in the same directory as the script itself!
 * The deleted files and directories will be lost forever. So be sure, that you know what you are doing! We do not guarantee for
 * anything. This could be your private hell of a programmer's life ...
 *
 * ### For what is this quite useful? ###
 * If a script on your server drops files into your webspace you are often not allowed to delete them with your FTP-client. And mostly you even can't
 * change the rights of these files. That's because you are not their owner. So the files has to be deleted by a script as well. And that's the reason
 * and the right to exist for The Fabulous Deleting One. But be responsibly and read the "How to use it"-part before you start working.
 *
 * ### How to use it ###
 * The Fabulous Deleting One is a PHP-script. So it's necessary that your server runs PHP. Just copy the file "eraser.php" with your FTP-client exactly
 * into the server-directory you want to clean up and start the The Fabulous Deleting One with your browser. Read all the interesting things on the site
 * and follow the instructions. Don't be shy: it doesn't delete anything until you explicitly confirm it.
 *
 * ### License ###
 * This is version 1.5 of The Fabulous Deleting One. The software is given to you free of charge under the Selcox Free Software License.
 * Copyright © 2014 Selcox - Agentur für Kommunikationsdesign · Endres Grüner · www.selcox.de
 *
 * The Selcox Free Software License (SFSL v. 1.1)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software (the „Software”), to use the Software both privately or at work. You are allowed
 * to copy, publish, distribute, sublicense, and/or sell copies of the Software, and to permit other persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice is included in all copies of the Software and the Software has not been modified by any other person or machine than
 * the copyright holder itself.
 * You are even allowed to modify or to merge the software for your own personal, individual use at home or at work as far as you not publish, distribute, sublicense, and/or
 * sell copies of your derivation or grant access any third party to it!
 *
 * THE SOFTWARE IS PROVIDED "AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT
 * OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * Additional Copyrights
 * Eraser: © Simiographics · Salvador Lopez; downloaded at Icon Archive; Freeware (Commercial usage allowed)
 */

$stepmax = 1; $sitemax = 4;
if(isset($_POST['step']) && (int)$_POST['step'] > 0 &&  (int)$_POST['step'] <= $stepmax)
{$id = $sitemax + (int)$_POST['step'];}
elseif(isset($_GET['s']) && (int)$_GET['s'] > 0 &&  (int)$_GET['s'] <= $sitemax)
{$id = (int)$_GET['s'];}
else {$id = 1;};

### system ###
class TheFabulousDeletingOne
{
  // options
  public $log = false; // logging the deleted ones
  // public $preview = false; // just show the found files and directories (@todo)

  // automatic
  private $path; // rootpath
  private $self; // scriptadress
  private $message = ''; // generated answer

  // collection
  private $collectFiles = array(); // collecting existing files
  private $collectDirectories = array(); // collecting existing directories

  // log
  private $deletedFiles = array(); // log the deleted Files
  private $deletedDirectories = array(); // log the deleted Directories
  private $errors = array(); // log the errors
  private $fileCount = 0;
  private $directoryCount = 0;
  private $errorCount = 0;


  public function __construct()
  {
    $r = (mb_substr($_SERVER['DOCUMENT_ROOT'], -1, 1, 'utf-8') == '/') ? mb_substr($_SERVER['DOCUMENT_ROOT'], 0, -1, 'utf-8') : $_SERVER['DOCUMENT_ROOT'];
    $c = str_replace ('\\' ,'/', $r.$_SERVER['SCRIPT_NAME']);
    $this->self  = $c;
    $this->path = dirname ($this->self); // don't end with a slash
  }

  public function getPath()
    {return $this->path;}

  /**
   * Generate the message for the user
   */
  private function message()
  {
    // status
    if($this->fileCount === 0 && $this->directoryCount === 0 && $this->errorCount === 0) {$st = 1;}
    elseif($this->fileCount === 0 && $this->directoryCount === 0 && $this->errorCount > 0) {$st = 2;}
    elseif(($this->fileCount > 0 || $this->directoryCount > 0) && $this->errorCount > 0) {$st = 3;}
    else {$st = 4;};

    $messageS = '<h3>Summary</h3>';
    if($st === 1)
      {$messageS .= "<p>Done nothing! Guess there is no file or folder at all. I am not a lazy one!</p>";}
    elseif($st === 2)
      {
        $messageS .= "<p>No file or directory is deleted. "
            . "But unfortunately instead ".$this->errorCount.(($this->errorCount === 1) ? ' error ' : ' errors ').' occurred.</p>';
      }
    elseif($st === 3)
      {
        $messageS .= "<p>Something strange has happend! The Fabulous Deleting One has deleted ".$this->fileCount." ". (($this->fileCount === 1) ? "file" : "files")
            . " and ".$this->directoryCount." ".(($this->directoryCount === 1) ? "directory" : "directories").". <br>"
            . "But unfortunately ".$this->errorCount.(($this->errorCount === 1) ? ' error ' : ' errors ').' occurred as well.</p>';
      }
    elseif($st === 4)
      {
        $messageS .= "<p>Success! The Fabulous Deleting One has deleted ".$this->fileCount." ".(($this->fileCount === 1) ? "file" : "files")
            . " and ".$this->directoryCount." ".(($this->directoryCount === 1) ? "directory" : "directories").".</p>";
      }

    // errors
    if($this->errorCount > 0)
      {
        $messageE  = '<h3>Errors</h3><p class="log">';
        foreach($this->errors as $error) {$messageE .= $error.'<br>';}
        $messageE  .= '</p>';
      }

    // deleted files
    if($this->log && $this->fileCount > 0)
      {
        $messageDF  = '<h3>Deleted Files</h3><p class="log">';
        foreach($this->deletedFiles as $dF) {$messageDF .= $dF.'<br>';}
        $messageDF  .= '</p>';
      }

    // deleted directories
    if($this->log && $this->directoryCount > 0)
      {
        $messageDD  = '<h3>Deleted Directories</h3><p class="log">';
        foreach($this->deletedDirectories as $dD) {$messageDD .= $dD.'<br>';}
        $messageDD  .= '</p>';
      }

    $this->message = $messageS.$messageE.$messageDF.$messageDD;
  }

  /**
   * Collecting files
   *
   * @param string $path
   */
  private function filesDiver($path)
  {
    $files = scandir($path);
    foreach($files as $file)
    {
      $fullPath = $path."/".$file;

      // the script protects itself and ignore ".." and "."
      if($file == '..' || $file == '.' || $fullPath == $this->self) {continue;};

      if(is_dir($fullPath)) // go recursively into the deep
        {$this->filesDiver($fullPath);}
      elseif(is_file($fullPath)) // collect files
        { $this->collectFiles[] = $fullPath; }
      else // What the hell is it?
        {
          $this->errors[] = 'Neither a directory nor a file: '.$fullPath;
          $this->errorCount++;
        }
    }
  }

  /**
   * Deletes the found files
   */
  private function deleteFiles()
  {
    $victims = array_reverse($this->collectFiles);
    $murders = array();
    foreach ($victims as $victim)
    {
      $success = unlink($victim); // kill 'em all
      if(!$success) // Error: File could not be deleted
        {
          $this->errors[] = 'File could not be deleted: '.$victim;
          $this->errorCount++;
        }
      else
        {
          if($this->log) {$murders[] = $victim;} // log
          $this->fileCount++; // count
        };
    }
    unset($victims);
    $this->deletedFiles = array_reverse($murders);
    unset($murders);
  }

  /**
   * Collecting directories
   *
   * @param string $path
   */
  private function directoriesDiver($path)
  {
    $files = scandir($path);
    foreach($files as $file)
    {
      $fullPath = $path."/".$file;

      // the script protects itself and ignore ".." and "."
      if($file == '..' || $file == '.' || $fullPath == $this->self) {continue;};

      $content = scandir($fullPath); // check that directory
      if(count($content) > 2)
        {
          $this->collectDirectories[] = $fullPath; // collect the 'go through'-directory
          $this->directoriesDiver($fullPath); // go deeper and deeper
        }
      else
        { $this->collectDirectories[] = $fullPath; } // collect the ground-directory
    }
  }

  /**
   * Deletes the found directories
   */
  private function deleteDirectories()
  {
    $victims = array_reverse($this->collectDirectories);
    $murders = array();
    foreach ($victims as $victim)
    {
      $success = rmdir($victim); // kill 'em all
      if(!$success) // Error: Directory could not be deleted
        {
          $this->errors[] = 'Directory could not be deleted: '.$victim;
          $this->errorCount++;
        }
      else
        {
          if($this->log) {$murders[] = $victim;} // log
          $this->directoryCount++; // count
        };
    }

    unset($victims);
    $this->deletedDirectories = array_reverse($murders);
    unset($murders);
  }

  /**
   * Start running
   * @return string
   */
  public function start()
  {
    $this->filesDiver($this->path);
    $this->deleteFiles();

    if(!count($this->errors))
      {
        $this->directoriesDiver($this->path);
        $this->deleteDirectories();
      };
    $this->message();
    return $this->message;
  }
}

$Cleaner = new TheFabulousDeletingOne();

$root = $Cleaner->getPath();
$confirm = 'Do you really want to delete all files and\nsubdirectories of the following directory?\n\n'.$root;

### Inline-Images ###
$imgSelcox = 'iVBORw0KGgoAAAANSUhEUgAAANcAAAA+CAYAAAC4No7/AAAHNklEQVR42u2d25HbOBBFHQJ/9neLIfBjf3eLIUwICIEhIANE4GIIDAEhIASEwBC0Ui2wdd1qPMTRWJR9bxXseZAQQPYBGo3H'
    . 'fLtcLt+YmJien/775wX65++/xmuyOX2jqF9Ir4ZrvqZLTnwdFOEiXBRFuCiKcBEuinARLooiXBRFuAgX9RvAleaelmvykNYbCA1Q8pyVvM9c0/BZuK6//7gmJ/J3tXKl/OU9tzJOletzmpTfD+KakSZE'
    . 'dcGVQNjR4EVyBaN0lXtuKWoQ9MCVromN/GcFdN+4Z5PQJ/Bq+cp6TjQhqglXapURrD0ZaBQ/kwa5Noy4aIwtuFJv1ZPvDPdMjQYCU1DqE0SjMGhlvfXuNB+qFy5TAiEB5BVDXJTeYAIXSvaEsRcuBfZL'
    . 'dgPBPVsRrvRz2cv5BOmcyhPk75VebxefKfP1NB3qEbikSzR0BCSaBqe0+FMnXLI8ppC/AaAl7Gvhnq3h/hml0Sj23hTVgmtSxklLadCuXG/FYB8T9gS2Ey7/aE8h7omV64YWhAqAOX3QbKgjAY21Mvif'
    . 'D46HZOqFS72nAVcz+NILb8HFdDQZ6hBc4BKVonNrxW07G1y2ca1rwDVpARCaDHUYLgGZ5hqZwlhqfPTDG3Dtj/YY4p61cW2oBDWGSgNjaTbUp+AS0bM7Q9TGXJU8tuSGjQ/A5bWQeAOYrsCD0jA48ftV'
    . '5ONqARCKagU0huTqBcUYrdbKK3NgU+PeHwICDbhkxG5VpgIGXD2iQKPNY41KrzRWxpKL0tNFRgypR+DahSGPYLCxMO7SghorbN2PNWPvmEQOSgTTpbwdlHmuRPl2uGfV5s4EeHuhIZGT0xvNh+qFyx1c'
    . 'ZdG7QmM/sEKjd7XFLHqz0FmmteKKaqtRTM/cG0XdjbkagMXSWCPNh9UgWDU3qnNt4dgAOGrBlNRT7ZV7jFKH5nyWMq4baUZUV0AjGbPBU5l6B/AJFrzPPMv4jpQr9WIfR+pCUV8eLaQoinBRFOGiKMJF'
    . 'lcZyE+e5qNPDlQIV87sYK0RU/bPrDt+Pb9TQ2LOvWsll/B3hcu+0Zk+G8lM0cku9mX9kS4o0TJhnG0/+DLY8+f4MuFJ+9mxwHXmnZ4MrfPXu3hTC90+EC1du5Pkx8+j2fzRMmPNb36CBuc3v7UfhyocG'
    . 'ifziCeFaPnOkwxng+n9C9h3cgmc2BAKut+i1UrkHcGWPwOXxfSR3eDjj+//M+zjLuYW7cgRA3le2pRUauAZwhQN0JtGF5/M+tmQEE6xx9NByOtmKQh4u9ahzwYXd4X4v8nI9eQnDtIV1myGvp5StPuw0'
    . 'WKDOThjwBkfKLfC9EWU0Sl0MlN+LsjnNLYRGYoHrIn6uOFfFy8+FPGOq/0elTjPAvuFaUTgBzGfvSLGtiL0SrFcN4vmgjYWUNsVuNvh/fDVc0rgW6XpItxG6aofuBIAaAaZFHLNm4SV52YqK5VhBWQtp'
    . 'lDGXNBLfk5eo/469FhzOE8FojBiXBTRSqPMkPAIvvkaXbhbPBetilec5K/VEuHKZBljUjfdbsRBc+1yj1Gks1MlDY5ttYhM/C7i8LtlD3l2fn+0I5d2UdzjLIYzIEzuJfI19NVy5kAOuNIe9Yq5gwEF2'
    . '9/ggFKOxouVqwbU+MOZqwbV2NC4XYUQfuL5RPBssr4PnJ4MjpWem1bcG1wzlqcG1iS06VjFcW3ALNVAQUK0hC6J+Uey4CNDwrlBnA+WaoBG2lS1Rc+Hz754j2PLL4cLCRqUXKvY00iifDJd9Ily2A65V'
    . 'K2/BmLG8Vn5dgct/Aq65A64fDgUqNHw9cGH5pkr5vNLbBRgL3tWl0KBlKEbwlqYKXLbzOb4OLtGVenSNOuCKYjHuu8M1w4sd3hSuHXcJ/Ey4RI+3dsJ1t5g79ZTaUOPt4FqgtfHgq5rGS/8ZbuEr4MKX'
    . '3usWfgVc20G4rDDur3YLvXL2CbpqAexEcwsndAuVcfXccAtPDdcmxhmTeDm5JdwqAQ3NleyF66JEh47AFcQ5G0fhwiDGAMEANaDxJLgGaOC2kmvaCdcP0wkARsBBfgdcBsZwQQloaHXaYP9elD1Z9opE'
    . 'QMNDnSfYqR7gZ6WAxloIaJwKrk0JcGAoeIdwtFfCrlEJxU9KiNkoW/aj3AQq76sEYZxwb2OlPKY1uQ335L8SM4sj7pw2AYv1UvIqTRE4ZRIco46DzE8JSTslZD9BZHYRjZicApBl8Eods6tpCvYh66S9'
    . 'ywgNtFbnXbG3HSDRQvERI6CVKQ1zyoW7SmF5Pjt1Bru8azhOvUKjsgLgbt6Ar5d6sV1GCMA1Dyk67ZaT5LPjH9HjFg/qDB7VBjY5viVcFPXuIlwURbgoinBRFPVquL7/+cd8TTYlw9dBEa7nwXWD6pIS'
    . '57EowkW4KIpwURThIlwU4SJcFEW4KIpwES6KcBEuiiJcFEW4CBdFuAgXRREuiiJc5gZVSo6vg/ol4WJiYnp++hfHIGQ89Yxe2gAAAABJRU5ErkJggg==';

$imgEraser = 'iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAUQElEQVR42u1aCXRNZ9vNvUkobUVySSiVtqaGEAkSBDG0qiISY0wZagiCDBIiCBlUkImEhogQISSSEEFLi+9HhczETLUVLUWpIdO959z973PP7df'
    . '+Xd/6/7X+0o9+zlp7veee4ebd+9nP8z5vEgODV8cLfSj+D/ztSSv/F/zthPhXpA0tLS0NO3fubOTk5KRD27ZtDaVDuvd3EuOf5CVyrq6uRlu2bDG6d++eMQAJDf4A46qqKuPk5GQjR0fHfyXES0deF20vLy9DiZieZEPiN'
    . 'aKRHo1/d/6a/r5OjGPHjhk5ODgYvowi6MibmJgYFhQUGOmj3fB3hN8g3iSa/AHStdf1z0hiNNBoNMYJCQlGf3DDi09epVIZFhYWGumj+ZqelETQhDAlVEQzorke0rkZ0VQvxht6wSThjDMyMoxeBifoyDds2PCP5F/XkzL'
    . 'Tk21BtCJaE2+LomB5pPIHr2MVVRPr6urf0YvRVC9Y419FiI6ONnrRXaATICoq6o/kTfQRb6EnLZFsR3Q4Vnlrun3S6SsGq4ugiCxE0+Bj1bM3lWZWXLk9VC9Yk19FkNLB2dnZ8EUVQUe+VatWhtJE9VH7lbwU0ZaEJdGe6'
    . 'HTum58mOm8oKlKQuHJDBRQb9VhXBsXqYigWnIR92D/Obzp4ef6Tx9WSaI3q6jUNSkvLjCSHvYipoBMgJibm1+g30kdP9TvyHavu/OL8ydbyw0bLC7WK5HIot5yDYmuljC1EGj9vOgvFZ+VQxJZAsaQQTWYfqZmx7sz2w6d'
    . 'vDPBNOG7cc/gSw/eteisbN2yoeKHIS2v9w4cPjX9nfanYWRBtHj6q7hWSWbHz9fBTGuX6CihJWLn9ApSZF6HceVE3KvhZse38byJIzkgqk4VYWgiDWcdgOjn/fItxO/3edU837T56zYslANfs30dfKmCq2pra9vH5lxOah'
    . 'RU+VSaeY8RJdsclKLMuQ5F9GcrcKzJyCH5WSGJIQkhukESgS3QirCFiKETEaSgCjuM1j4PVFuOyUluN3d7jhRHA39/fSKvVSrnfWKtRq8SKr4IKNm64227FaSg3f0vS35Pod1DuuQFl/jdQ7iMKJFzn52u8fhXK3RRBckM'
    . '6nZB6TnaBVBfWlkIRTwHiSuQaEXUGiuATMPD+EqbuOcUtx2Z6t52a0/DfJoBdazPD4vVLjLUPbjcULxdOELMjrorp8yBmLoA6LxIZ2VmwziLJgntQfn4byi+qCAryBQX5nOIcvCELIYkgOUNyAVNBKRXG9WVQJlKABL0AM'
    . 'RRgNceVeiFCT8HI9x94L/jorX7JFUZ/OfsMbyeFOsXHULPVb4CwM7RQ3EHiu+ZDzF4IcfciiLlhEPcsg3AgGrkFeeiRT6Jf3IHyy1tQHr4Jw8OSEBThwA3ZCbuvyDVBSoOUXx1QAoN4Eo4rlgVYxWVzFceVRWi8uhQdks7'
    . 'BPqniSd8N/wYBNFt9Owvb5uSLWfO04u5gEg7RIxRi3hJo9y6DmE/sj4T24HKIX63C/i9y4LiXRbDgJh1AAQ5+pxfgOhQUQLHjom5lULIOKNfLAiglAWJJfDWjvvIMDEleFVcKu40XYL3mHNqEHtv31xLfNustIXPuJjF3n'
    . 'kabv4Akib0kvodjHsc8OiCPIuxZwntLIRaEQzwYAe2h5dB+SRxdgSMHtmPwrhIYZrMW7L0BRS4dkEUHbJcdoEw5KztgjWR/PflVZ9CAsFxbDodNl/BOwlm8GX4K5v77x/4lxIXtvk2EnXM+FffMqxYLgqHdT7sfIOECSQC'
    . 'e7yHyiNwFsgi5xN7FEPcxFQ4sg/aLSIiHwqE9TBzitYOL8HXuZ3BJ+y8oU0k8g6tE+gVdEZSaJOWvAjD6ylWn0SSmCF2SK2GXcgnmiRV4fU0RmoQcvts6YE+D5xvxdJ8Gwg5fPzEv4J72AIl/vkDGAZLdz88FHPM57gkic'
    . 'SKX6ZAT/JsQe+mGfKKAYhwM47t0xYFQvielSwC0mXNQujkKY5P2QcllT5ksRZ/LIAugkgXQmMRbcCWw33QRHTdcQlPea5xUhEYrjqNX9LH45xv1rdPGi7t8r2v3BTKPSfLQfBIIls/3zyOCoM1n8ZOQF6AjJOYEshBy3M1'
    . 'rOUGyGJIzmCLa/BDo0kZyTB7vZ/tBzJgJceMnEBMm4UKsPzyiM9BgJZdQkm7M6t9x/Vla/iJarT2LxqwHjWJP4c2Vx7Hy2A3ttq+/sX4+UU/xGihsm14s5symhf0ZbUkATvhAgHy+nygIkO/l+5McxzyOOXNJaq5MLMtPF'
    . 'iLLXy+IBH8Z0v1dcyDumAVx6zQK4AVxzUSIK8ZAWOyCa2Fe8ArfhO6fnUXXxHI0/fQUGi0/gdcijsEq4ST2X/wJ/qnHjzxz4urE8dbCRs+D2kwfkvElMUkAEirwI2l/eSTE/Lk6aCXsJZE8QhIrm+9kcdxJYjt5vpPnmRw'
    . 'z9aNEWMJ2Rj19OsQtUyFs9IC4bjLE2HEQIt0gLBwKwc8R6oC+sF2Wj4bzPofxvIMwDtwPj4wy7Cm7hTZ+OWjjlfLsip862q21Jn5smrhxsiBmTIE2SxJgBqPKye6RhOC411eP2SQ+W74m3c8lsmfI2OkjYwexnQS3Mbrpv'
    . 'wMJi2lTIG6m5Td5QkyeBDFxPMQYRj5yBMSQDyDM7QX1TFs89m4Ly+mpMJqaBdPZudh84gZCuXIYu6fAxDUu3XxkrPJPE68PG2qiiXKJFuJG14jJEzg5TirDmyQ40V1EFiedPR3aHEkQEsr1+Z/gdd096bldxA6So4DiNhL'
    . 'cxnELvyuN2EyLp3rJpFM8dMSFJHeI8WMgrhoJYdkwiMFOEObYo266NX6ZbIn7k9vAeNRGOITm41B5FXqF5MLIOU7d7OOowD9PfP6gBurQDwOFiGH3xdWuEJPGQtzACW1mRLbSjumc5A4vVmgSySSBLJLJ+gTa3dNIWI/sq'
    . 'fI13tPu4v0dfG47sY0k04k0fsemSTI2Mr83UGCKLKwbB3EtIx47kjnvAmHJEIgBfaCZZYdqj3Z4MKY1fhrREhdGd8LCtJNIO3QeTUcloeGg8NsWHywc8KeI183uo6j37zdJEzL4hrDsI4jRwyHEUYDEUZwgJ7ZpvIzNnOx'
    . 'WTjqdk8+gINtJJpOkdurBc+0uRjRTEsoD2h38vN1Tfn4L30udIH+PJGoysZ4CJzHaa0dDjHODJLoQ+TGEBU4QGfX6qYz6mDa462yB20Mt8OPYLrh/4jA8V3BpdIrA647BXzd3Cmr158jPcBisnuNYKgYPgLiYuRZBAVY6Q'
    . '4hxYQXmpJIowjpGJXm0jBROOpWTTxsPbToJSdhGchmTSFYChdk2QcZW6Rne28Lzze7yu8kk/Bm/Zx2/N3Gk/DNimefRzhCXfggxsA+EmXZ4OrE97g1vSeIt8MOHFrgbOgnVJw8jc4w7FL0WwrTX3EQLx7nG/2/iT73sWtR'
    . 'P7bFf8O0Nwb8vCw0FCPsAYiStt4IVd+XHLEKcVNxwrsW05FpOch0nu57YwMmnkEQqCW0mttAlW93lUQ/tFnf53iYS3jhKfmcD31lP0kn8jrV0WDxFjuH3Lx8KMXQAc70n6qd0wQPXt/HjEAvcIvGbQ9/Go5wU/Lx5DS5Zm'
    . 'SLe2v5pO/tpk1o6+Py5X4DU+PTbX+tlA7VPDwpA1YP7QVjESYQNogvohChixRAKQUfEsBjFUYwEOmMNJ5xEMT4jgWQSSSGhjRw3cdxEkqmj5JHXtamjIWzgcxvc5OeTXHTvCgnD5e9b/bH8s4LkqD8Z3wF3hrTEzUHN8f1'
    . 'Ac9zy7ovqM0dRNXMkLrR7A+WtGl869G4Lqz9d7GoDXVoKC0dr6oOdUTPFDvXT7KDhMiMEOXK9pRCLWXmXDoQQTjGiBtMRH0KIpjNWU4xYuiOe7lhLAokUJInjehL6jOSSKUyyy2+QrvGe7hk+q3tHejeGEZe+L4yu87PXR'
    . 'f3e8Db4fkBz3OjfDDc43o2fj8dH83F1UDtc6PAmyizfyC+yfKPJM1nf64PcFomRLFaxvtAs90TtjN6o+8QGmtk9IczrDU0wIxLal5W4P5ciihFBZ0QSn1KQaAqyiqkSSwJxRAJFWUtSScNkJDKqiSSYpL+WSKyhaNKz0jt'
    . '8V4ikuPN7y1Gf0BG3BrfEdcdmuNa3Gb516YgnR/bgp4RFuNRDhfNWJmJZB5NlRe1MlM+EfPVKP4U60PWGuFzqs9m5JQay4M1Anf9g1Hp1YUrYMiXs6YZe0CygKxY5sjhJQhDhRBQF+ZSRix5EMoMhrCZiKEocC1g8kTBEH'
    . 'v95LhGnYKuJlYN03yEG2EM9tSuj/g6+cWyOq72b4SrHm35ueFr8X/jWcwAu9jDDeeumD8s6mw5/pm3to6P7PtJEsnmRHBDPVjWRvXgS+/mEOagPGYEar65cfrrSDXYQAumIYIoRIgnBiC0mllKQiH4QoyQxiE/1iKZDVlK'
    . 'YVQNJlkRXDdCNOqzgsracxKXv8OW6PtEKNwe+hSsOzXDJQYXL/VvifnoCHuZvw+WBbXChuxnOdTU9X9bVrP0z7+sfJy7NfnD9EtQbufeOmSW7YG2ADJ6rl7qjZmp31HlbswnpRjd0pxt6cJVwoBAUYxHFWEyEkUw4a0YEB'
    . 'YnkGMWUWS5D/JQCregvj9L1ZX0gBtlDM90G913fY8Sb47wUYXsVro3pgSenj6BqyVRcoBgX7Mxwtptqd6mt6o1nTr56cr/mGu9B9bUxgfj5xlXU56fQur6yE9ZwM7OGG5v42dBEeqB2liNqPTtD49OVyxOFCKQjgijGAro'
    . 'ihAilGIsdZIQRS4nw3hAlREgg6WW9GHUHNjV2qPXojJuDW5G4CudIvpJkq8Jn4knhV7gy0lYnRqWtmVBhq1r43PbxtRP7BgjTWNHnj4I6bi7uX6pA9Yn9FGH2b0JIoDOE5V6ol+qCpzXU0yiEbxeuFBQjkDUiiGLMl8TgG'
    . 'EKEcildRFEWE2EUZklP+bMkmo8NHoxujyu9zVFhy+hSgAuD3sWDAzvxU1osKh0tUCmJ0s3s53Jb1ZDn+ouM+sn9isXZrM6hbE4iJrKA+eDnoqN4fL6IlTuQxGf+hpXTWa09oQ4ehhpvG6aEFTQzO3NXRhH8uWIE2FAIOiO'
    . '4myzEAgqzUC9KsK3ONVIaVQ1pg3PdVSjtZopy5va1KUPwpPQkrs9ywTnWgHO8VmFjVlFq2+y950r+ibv924Jnf63oN4wRY6OyjJ1aJHt0LoO/HNqJB99egyZ1mY64uMpHHldwXx7uwdXAFbVTe9INVlBPt2IhoyPmsEb4d'
    . 'YEQQMyjIIEsnNL5XIJp88i9Iy47tkCpjRlKGfnSns3w4/ooPPxqLyqHtENFTxXKbUx5X5VZYtu88XP/5eWjMd3f1UzsoxVmMQWC2aAsHsW8HcsC5c5CNhFPdibgXtX3qMtOJPEprOzcyUmI8uZz3KbOd0OdjyNqPKzYuHS'
    . 'kGyQhOjHSkhiddaMwk+nyiTVuD3+X0W6GYhIsYVGrdLbGI/bxN1cFo4y5XsZr5V1MNcVdzYL+0l9d147pkSp4sGLPYjMyj13cQu6+JCHCZCFqNoTi7rfXUX0khwKQeBSXSkJygbB4PN9xRb2PE0WwRp1XB1Z1CjGjI4QZF'
    . 'GOaNTcwVrg+sBWKGPXTXU1RRKLXgyfrLH9pQl+U0O4lvF7Sqem9M9Zmg/7yP1rUjLYzrB1ll6aZwIo9neu2/0fMWbaqoa6yI8LGoH71DNw9X4rHFaegkepAOHdz4XRAGPfsCymU33A6wAm1k1kXpJTwfp/ojPuj2uGsg7m'
    . 'O+Gnme0mfVri7O43YjPJ+rVHCNCiyMsGZDialp6xMLf+tf72scbMJ14zrqRWmsO+fK21G2L6GsJ+nEMKikdCET8C9r7/Ag28uQ5M4j+THsbJzl7eYAgS7sT8YCo1Xf9ROtEH1JDY1Qy1RbKfCKZIvJNFz4/vhcdkpfLPAA'
    . 'yX2TIVuZiTeBCfbmaQf79C00QvxN+xaN5upmjF2asGbfb8ve/NA7vyC2bMvcP6nKx7s24J7P1ShPiNaJ4wQSoS4sfDxmWlcIifY4ruP2tDqKh3x01zOvotdiF+4tle6dUUJq7wUeZJXn+jQdM4L90881a7WH9ePtHmi8XR'
    . 'gLvfjOj+QlfwDaOZRjKCPuCkaikdpUbhzqwrVn2cwBUbI4gQNY18wiJW+Myr7tUARo1w21AoPj3+OH1JWoKw/qz+7vRIuf2c6mf540sq07wv7f2zVIzp3r3ezvq2Z2J1FrQ/UvhTCj0L4s58PGExBBqOajdHt65fxuPgYN'
    . 'FKtCPgQ9Xz2zsh2KO9rgavzxuPp+RJcnumMcpIvY3NT1rM5i6Hq61NdVC1f9P/lM6h2sXqvbkSnSxpaWjOFPftMpsVsCiFhTn8d6paMwR3m9YOr56Fmq1zj2Q03XNvjp+yNePBVHs4O64Byp5YseBao6G2uLe5pvr6wu7m'
    . 'xwctyPB3eUVXr0vGEZhwbGW+6YRqFmMEt8UxilrSLc4Sarrj7ZQ7usl94lJmA6soifL8yAOUDSNypBSokOFrUlPZp4WnwMh5PnNu/Vu3cPlszphPUk9nZTZHSoocOgk9PboyI6fb4OSUCPxzJR+Wk3ihhxKWclyJ/tl+Lb'
    . '0v7vWVr8DIfj53bKqqd28VpRrHJmcR214tt7ifdKIYEW6g9u+KpuxUuftgaRY7mKO5jjjIWvLI+LQ6TvMrg73I8HfbeXLVbe0Ht/j407Pw00q6QY/14K9xj8Svm7u4Ul78SWxXz3SK6uHdLQ4O/2/F02Dsu9S7vPVGPbQ/'
    . 'NhI6Qxlpuba8NfhtfW7PjszJ9VGhjPtLg73w8/bhN99phbW6pR7yLemdL/OLaFiXdmuF4W5Pzx99XdTT4TzgeDWll/vSDVrl1H7TGzcFva4+/b7b9aHvT1w3+0447Tm85VPRuaW/w6nh1vDpeHa+OV8er49Xxkhz/DT+gG'
    . 'RriuZ4QAAAAAElFTkSuQmCC';

$imgIcon = 'iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAACLElEQVR42mNgIA4w8vDwMAEBIwOpwN/fn/n27dsc////5/n27RvX7NmzWbm4uIgzyMjIiOn37988n7//1mg8+nii/YprJ2Ydf5rf2jtDiCgDZkzo5X'
    . 'py6Uy5+rLrb5jW3f7PtOrGf8aZF/4zNx77LJi4bKaoWagqTs2bS31C/64uuf13beX/N1u6/tdv3/JfeO3V/0xzLv1n6j31X7T/3H/p2K44DI1zEqztfq3OPvFva9H/vxsK/v9dnQ/EQPbawv8f5mT9b2vt/C/Zefy/5bSTH'
    . '9RMHbnhGlttlbQ/t/lt+rsw7t/flcn//65J/Q+mFyX8/zsn9v/fKRH/f1e7/P+QbPjfunj5a3HLWFe45jsxprV/Su1+/2n3+P93gu//vzMC//+dGwLUGPz/77SA/3+7vf5/TTf6/zLe/P95H6tTQtL68nDNwQbq/L97c7/8'
    . 'qvT7/7vQ7P+fWpv/f1odgJqc/v/tcf7/u87m/8tAlf8Pk13/H7NTmWfKzcKB4ue1TjppP2bW/P81uxboxKD/v7IM/v8pNvz/p8IYaKvu/7t+Ov9vx7v8XKEtlIU1tGeaKbr+yXX//nNC/v8fcxr+/y4N+P8zSe//c3/F/9f'
    . 'Cbf5f8jZ61iDLY403vmcZy9r8TrZ6+7Mu/P/XuY3/3ydZ/7+e7v3/lJ3i0RAhDimiEk2NurDGzyjde78yrP7fzQ34t9tcfKohHxsrSek+RoZH/KW73IYZygJxDEMGAADcqBeEyF/rygAAAABJRU5ErkJggg==';

$payNow = 'R0lGODlhawAaAPcAAP/x2//9+f7mtP+vM/+sLf7kr/7iqv7gpv7fov7env+xOBA+av+zPe7VokBRVv61QkBede7Zqq+FO3+JhBA+a3+LiP63SH+Jgr65oDBTcWB1gBA7Yr+QQDBUc4BxTGB0fVBZVGB0fmBgT0BgekB'
    . 'SWUBgeyBJbiBJb59+Qr6zkI6UikBedN7Moc8LAkBfeJ6knv+0Qf66Tf6zPd+bMP/Uk/+9Wt7Jms7Doe+kMdIVBP+pJv/Fbv+6UI92Q//cqP66T0Bfd87BnXB/gnCAhCBKcYBvR3+NjWBiU/++WkBRWEBedr61lv/nw1BpeX'
    . 'CBhnCCi97Jl4BwSb+OO/+tL762mY6TiP61Q56eiXB/gFBYU/+qKRA+bO7Tmn+Khv7Tif7Viv/rx/7PfjBKW+7br+7Xpr66pZ6gkCBDYHBoTVBgZP/u0Z6ei//EZK6rlf7KcZ6hlK+GP//bpf+4Ss+mYs6+k66pj++nNu7eu'
    . 'v7eov/cp//Xle7ctd+dNP/BXxA7ZDBVd//ovs+UNL+MOFBpeN+fOf+wNv7Ld3+Mi3BnS599P760k87Epf/DYzBJWv+/WI6VjDBVdf7cnf/AYP/pxRA7Y/7OgP+zPv/Xmf7FZ//GcP6/Wv/nvu+tRK6smBA6Yv7fpHBsVp6j'
    . 'mr+US/7ShGBhUf7Wj//8+P/y3WB2gZ+ARiBFZVBaVv7HbN7Opv/Ogf7Pf97KnjBUdN7Qqv+5S66wpFBrff7dn46Wj//z3/7OfP/Icf68Uv7bl/6+WP/x3P7Vjf7cm/7nuv7pwP/57//lvf/Znv/25f/BYf+1Qv/NgP/z2//'
    . 'v0v/syf+qKAAzZswAAP+ZMwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA'
    . 'AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAC0ALAAAAABrABoARwj/AFsIHDgQmsGDCBMqXMiwocOHEB0SnCiQQK9gGDNq3MjxiTMiJUoQcUZhD8eTKIN5dBYKYxlnJVLKnJnSCwGB0LQQ2Mmzp0+fU'
    . 'pyJ+UkAhbMNUTY4S8IzijNnIIgGZboTxFMcBHAoBYFGKYqdRp3BIUDqKR+iaH9qgUYRZw0aTADInUu3rt27ePPq3cvXLhMaNdi2LahHmeHDiBMrXsy4sePHkCMnBiMY54PLDzDZOsC5s+fPB1Q8He1swRLPDUI463KggTMl'
    . 'rRcsaPBZtJAlzky4NnEAVmnaB4Q4U3FAibMDqp2FaCAbOOjnv35grgwNxrHr2LNr3869expnquZ0/x9Pvrz57jAqT4QmSc2w9/Djy59Pv779+/jz58flSj3BQoAwI+CABBZo4IEIJqjgggw2iGAfBVkRAysFVGjhhRhi+FQ'
    . 'EFp7gzA0RuDBaLBze4owTFUZAwYcajtZKAbU400mFToxGwRsVOuNChag4c0gBKlLAYYZEVhhJDFawBY0CTDapgCWOuDEKLwlUaeWVGTiTwpVVplDaFVA8xUWVKzjDxQIZcFlllnQkcMFoF7jpTJxVDuLMFXKWmcIKGSzgDB'
    . 'RqXvlFGGzM4mSTgkGjQzOMNuroo5BGKmmjIjhTxKSYZqrppo3q4F8L0OxQzKiklmrqqaimquqqrLbqKqk7fP9KETTHxOGLKQHkquuuvPbq66/ABivssLyekkcmsq53iTHMNuvss9BGK+201FZr7bXNTiIrNLos4+234IYr7'
    . 'rjklmvuueimO+4m6kHzgzDwxivvvPS+QJozf9BC7778wmvvFvHe4QzA/RZsML+VJCrDLngI4PDDEEcc8QjOYPAwJBU7LAsGi0jsMcQUOzOCw0Y4Y8TDY2Bg8ccstxyxITIoacHMrxhg880453xzEM50YDMLGjhzggFDOKMB'
    . 'FR0484gBVDgDhM0VODNEzjwDEXQFBnhIhgFBd9CGGX6yYEAHCxjAwlNYR421zmzb/IkmMyvJwNxzy5ELMAjkrffee3//4EwGEAQ+gQ151wEBaYrk/RQCEzhTBd8I+L0GAiY4g4UzTSBQhTMf6N34BAgcbsMCTTgDQeNYQK4'
    . '6AqUwQvfcSk4xwOy012777U/dPoAHzngwAAfOnEH7Ec6Q4AwHuuc+ACGjIZ+KM6vMDjwlduz+FAkDGO/MEbp3f/sUiXIKqQQO9CBppQ6Qj0ijgjjjyQyRkm8+o+SL0OgMWTzViASNBuJAFoxKhAMuJT5ItQsZCEygAhfIwA'
    . 'Y6EBmiAIUz/MCJB1rwghjMYAI/BQ0kJOODIAyhCEdIwhKa8IQoTKEKRYiEZIGKBz4ghgxnSMMa2vCGOMyhDnfIQx76gAcunFVEDIZIxCIaMSKDaUFAAAA7';

$pp = 'iVBORw0KGgoAAAANSUhEUgAAAGQAAAAaCAYAAABByvnlAAAH00lEQVR42u2ZCXAURRSGe4TiEghQAQ2CkHCEKxAuyypUjKWgIh54RA4RRC5BwJICAopyxCSAKDckm0gIiBLAUjCCHFVoiaKIeIBCDkIMEIgKQrhE8vx75k3'
    . 'S0xnCblihUpWp+mp3X/fM9Lx/+r3XvUKoR3jMKHAc/Ap+cWEf2A++Ae+AEFFx/I9HeMx3gHwgD0wHlSuc538xbuPZQWVgeYUD/S9IpzKKYTOwwon+FSTS1dEdZ5HoNNsd2WYSRyIs+v0KJ/pXkKlOMd6yHN0Bn2HTSbSf4U'
    . '6HWBKd34ZAsxaW4Z43gVAQBlqB1kxb0BzUuqE+8WQFg3DQWqEtCAWBfrpHddCO7xOiOifRIYacAe1nktFkGBhKRtPh7gSPIFGzH4nI5HVlEGSM8hJcVPgHnANZIAU0ugFiSMdfAAQuKvzD9qMgDXS7xvuM4HtIDqvOSXMIg'
    . 'rfeaD2FjEaD4fgRVwCChODTeJCMkWtJbLqY6KMgCV7mp/TrLoona4jiqKvR7RruM1+5zj7bMTX5oYudIAVpNYGM24dgFox0J+QltGMG1e1PxtwfSaz9k8Tig318EGSj5vgsXu+ccREl+roKEp/xpub0fPAjOOEiSMo1CLJB'
    . 'uU6q7ZiOHCY4kUtB5pLRfBwc/oK7GE1Bq1fIqP4oGREzSaRdIJGUTWJpusdLMarzAtR2eLZZelttIWCHJsja6yrImhOrFEcVgvvZgTeDZE2QvaBKGcSoAQ4o14m2nfOMs7KKNXOIETwK+eNFF0EwM0LHkFGvLxmVHyKx5CC'
    . 'JjWdxwUwpSIqXgkinn1Lu+4XWPk4TJElpqwa6gwGgL2jH9oagMxPENlkkhLMt4Apjud1sv3NeV3HzoIambeulXSI+03bUEVBTceR9miBfAIPbDNAF9AP9wd2KkJ1BR9Ccbe04L9nXGWIPaLLj4WVCx6fl/OFWaJI0g0AtIU'
    . 'SLl8mo+TQZIoKMqC0ktl2GKAdIJB4isSzjbS8F6a45fL7WvkJrf5XtPXgLR207D6LAZsW2gvurofgTl3HIiu6k+RK2QdXYeJIl/MbT+XgW21GbtDd7oibIfMXBm1xC2mwwR/n9G/fv6Z6LwmM8joTedS5K3Rlk1H6KjIBI5'
    . 'Ih+FrXxvfqTZFR9HKEMldecPSS2Qoz4DAspSHxmXy8FGa45dRqoAprxdozaVgBqgBd8WKh6+D4piu2SOROcM+1b6yWEIMFTzotW01qL1PwwsfpooUgomiHxIAA0BANBgebIrqARuOxlEbCTBRmj2P4ETeyBfelM6BCkMfJD'
    . 'KGZEpygy2o0nIwzcOZWMxxaRmLydxEenSHyKMLUUM0MOXIrhycoTSw8GeinILM2BMnzlc7mrO3csh7jLiu00mA0Gm29+yXNeUWaUao9SxhBb/MxY4AaOG8r5I5Kfx6aAk3mBi3PTOBf8otk/BM+DxeCS1jaPBVngqLA8WVX'
    . 'tt2S/I380nEDiieUktlywKqfVeSQ+OE4i9Q8Sn5whsaGAxKqjEOMgFb1F5gNkzvChwlrn5Zu+0uVNPwsitOulaOf1ZntdcEixb2B7N0f/DjEfFl1r9bHXldlRGt+BSmCKZh+mhbhJWvtolwprh/0gwWYMLRoYQlbQeBIzdp'
    . 'P47KzVeXkOieQcu4qySFBuYIWqnaCqDyv0nZoD5ew4whucOWALeJb7N+c8URzeSl6zt9J+zlz5F7clK22/gVv4+rbtkAh5rXidk1Ciivob/A6Og2NmyJF5pNjhu5S+266yyCQl0f+k2BLswd7jcExYNIkWb5CYs5fEmrziW'
    . 'WC/Me9lU9F0lp9JphjJYtGBWj7Mjlu1neWvebc5wKyOwmNqa/0f1sR7xOWa0Ur7z6DqFc6Xwn6vCdxTc+AuLVzdBSpzDqlXVFFZfW/hKszuv9BFkMFKuxSmAW+Z/KXYJ9qDfdERrkLfJNElzkrSq46QNnXPofLYBxvq7syt'
    . 'eJPeFUvS7y/Dlsk9moOXXKX/A1r/VVp7T07Ydvt6rb0azwyXzdPYdx19k7ID8Zw5yjP/4BCgpLP1/nJdUUdplyJmK+3H2N5Sm4VPuSS2OFlpkOi+EHnjGELVYSUsZcuZMMRPG5l6tTT1Kv0bgFztnO1gNIjn/S+1LdblGnE'
    . 'ugnyDiOAMswmZ7fG8/yqO+tiLBd7nmnNlKBrPpa6+st/N50QqNrkWCbMHmlo0wC6oNJpGkejlIbE+3wpHphgmF8Wy9LZ+EmSB5phBXpwztpTEL6uvwhIVlvP8DlqVVmj+B1TSuQNd1xilC9KrlMRfyNi/1/M5sxSbzE+17Y'
    . 'HmOQRpPInEgFRUUqecSduTmY0VeT0/CZKorAtyvf5vPjxmAq9JVDGWgT5cCPzLueFel3MHaedNvIJzR/FznwbnwXNeboP00nKJZCOI4LBHPPOGcf9EpV+SOtDNplM6xu43y98aI/eIV7f9IdLOKCVtlvz+tR//ewng7YomI'
    . 'NDHc29lAfqBNoo9iCvG+i7n3MGlsi1GWimOrQYaM0HgJh/2puqAHmCAueqWhYBlb8D/rQQpWyx1zIWgRQ11sJXMFXKnuEpFtrUnNoiVuc41xrKMRFEeD1ltObdaTprClZtjxeFAJPQcZR+HBcmcWU4FSdRC1cjy9QArc+uj'
    . '5P0KQuSCn0G6uRkWnxFRDsWQ+19fcZ76HXxkRoSKo+Lw9vgPgucmN9HuCkIAAAAASUVORK5CYII=';

?>


<?php ### User Interface ### ?>
<!DOCTYPE html>
<html>
  <head>
    <title>The Fabulous Deleting One</title>
    <meta charset="utf-8">
    <link rel="shortcut icon" type="image/png" href="data:image/png;base64,<?php echo $imgIcon; ?>">
    <style type="text/css">
      body {padding: 0px; margin: 0px; min-width: 874px;}
      .space {height: 200px;}
      .tab {display: table;}
      .row {display: table-row;}
      .cell {display: table-cell;}

      #nav {position: fixed; top: 87px; left: 26px; width: 200px; padding-right: 16px;}
      #nav a {color: #454545; text-decoration: none; line-height: 20px;
        font-size: 12px; font-family: verdana,sans-serif; font-weight: 700;}
      #nav a:hover {color: #9E1A00; text-decoration: none;}

      #nav .workingbutt {margin-top: 22px;}
      #nav form {padding: 0px; margin: 0px;}
      #nav button {border: 0px solid; background: none; margin: 0px; padding: 0px; display: inline;
        color: #454545; text-decoration: none; cursor: pointer; text-align: left; vertical-align: top;
        font-family: verdana, sans-serif; font-size: 12px; font-weight: 700; box-sizing: border-box;}
      #nav button:hover {color: #9E1A00; text-decoration: none;}
      #nav button::-moz-focus-inner {border: 0; padding: 0; margin-top:-2px; margin-bottom: -2px;}

      #content {position: absolute; top: 26px; left: 274px; right: 26px; min-width: 600px;}
      #content h1 {font-size: 22px; font-family: verdana,sans-serif; font-weight: 700; margin: 0px 0px 5px;}
      #content h2 {font-size: 16px; font-family: verdana,sans-serif; margin: 15px 0px 10px; font-weight: 700; line-height: 20px;}
      #content h1 + h2 {margin-top: 6px;}
      #content h2 + h3 {margin-top: 0px;}
      #content h3 {font-size: 12px; font-family: verdana,sans-serif; font-weight: 700; margin: 15px 0px 5px; line-height: 20px;}
      #content p {font-size: 12px; line-height: 20px; font-family: verdana,sans-serif; margin: 0px 0px 5px; max-width: 725px;}
      #content p.log {font-size: 11px; line-height: 18px; font-family: verdana,sans-serif; margin: 0px 0px 5px; max-width: none;}
      #content a {font-weight: 500; text-decoration: underline; color: #454545;}
      #content a:hover {color: #9E1A00; text-decoration: underline;}

      #buddy {position: absolute; left: 356px; top: -3px;}

      #content .social {position: relative; margin-top: 15px;}
      #content .adress {position: relative; margin-top: 65px;}
      #content .adress div {position: relative; width: 340px;}
      #content .adress img {position: absolute; left: 360px; top: 30px;}
      #content .feedMe {position: relative; margin-top: 65px;}
      #content .footprints {font-size: 10px;}

      /*********** css-erasing-animation ************/
      @keyframes erasing {
          0% { transform: translateX(0%);}
          5% { transform: translateX(-15%) rotate(4deg); }
         10% { transform: translateX(5%) rotate(-3deg); }
         15% { transform: translateX(-15%) rotate(3deg); }
         20% { transform: translateX(10%) rotate(-4deg); }
         25% { transform: translateX(-15%) rotate(4deg); }
         30% { transform: translateX(10%) rotate(-3deg); }
         35% { transform: translateX(-15%) rotate(4deg); }
         40% { transform: translateX(10%) rotate(-3deg); }
         45% { transform: translateX(-15%) rotate(3deg); }
         50% { transform: translateX(10%) rotate(-3deg); }
         55% { transform: translateX(-15%) rotate(3deg); }
         60% { transform: translateX(10%) rotate(-4deg); }
         65% { transform: translateX(-15%) rotate(4deg); }
         70% { transform: translateX(10%) rotate(-4deg); }
         75% { transform: translateX(-15%) rotate(4deg); }
         80% { transform: translateX(10%) rotate(-4deg); }
         85% { transform: translateX(-15%) rotate(3deg); }
         90% { transform: translateX(10%) rotate(-3deg); }
         95% { transform: translateX(-10%) rotate(5deg); }
        100% { transform: translateX(0%); }
        }

      .run {animation: erasing 4s 1 0.5s ease;}
      /************* end of css-erasing-animation *************/

      /*** print ***/
      p#printAdr { display: none;}
      @media print  {
        #content a {text-decoration: none;}
        #nav, #menue {display: none;}
        #content {position: absolute; top: 26px; left: 26px; right: 26px;}
        #datacanvas {margin-top: 25px;}
        p#printAdr {position: absolute; left: 0px; top: -18px; display: block;
                    font-size: 10px; line-height: 12px;}
      }

    </style>
  </head>
  <body>
    <div id="nav">
      <div><a href="?s=1" title="">For what is this quite useful?</a></div>
      <div><a href="?s=2" title="">How to use it</a></div>
      <div><a href="?s=3" title="">Contact us</a></div>
      <div><a href="?s=4" title="">License</a></div>
      <div class="workingbutt">
        <form action="?s=0" method="post" onsubmit="return confirm('<?php echo $confirm; ?>');">
          <button name="step" value="1">› Start running</button>
        </form>
      </div>
    </div>

    <div id="content">

      <?php if($id == 1): ?>
      <h1>The Fabulous Deleting One</h1>
      <h2>For what is this quite useful?</h2>
      <p>If a script on your server drops files into your webspace you are often not allowed to delete them with your FTP-client. And mostly you even can't change the
        rights of these files.</p>
      <p>That could be caused by the fact that your server distinguishes between your FTP-client and a script as two different actors. Therefore your FTP-client is not
        be considered as the owner of the dropped files.</p>
      <p>As a solution you can also delete them by a script. And that is exactly what The Fabulous Deleting One does.</p>
      <p>The Fabulous Tools are a collection of small useful freeware programs. They are aimed primarily at programmers and were originally introduced to support our own work.</p>

      <?php elseif($id == 2): ?>
      <h1>The Fabulous Deleting One</h1>
      <h2>How to use it</h2>
      <h3>Technical requirements</h3>
      <p>The Fabulous Deleting One is a PHP-script in one file. So it's necessary that your server runs PHP. For calling The Fabulous Deleting One you
        have to use a recent version of a modern browser. The tool is not built in taking account of obsolete browser versions.</p>
      <h3>ATTENTION</h3>
      <p>Be careful! This program shall (and probably will) delete every file and subdirectory which is in the same directory as the program itself!
      The deleted files and directories will be lost forever. So be sure, that you know what you are doing! We do not guarantee for anything. This could be
      your private hell of a programmer's life ...</p>
      <h3>... and how works this lovely little useful tool?</h3>
      <p>Just copy the file &bdquo;eraser.php&rdquo; with your FTP-client exactly into the server-directory you want to clean up. Call the script from your
        browser, read all the interesting things we've wrote and then press the &bdquo;Start running&rdquo;-button.</p>
      <p>Now at this moment The Fabulous Deleting One is located in the following directory:<br>
        <code><?php echo $root; ?></code></p>
      <p>If the work is done, it's important to delete the file &bdquo;eraser.php&rdquo; itself from your server with your FTP-client manually!
        As far as this file exists everybody who is able to start the script could delete the whole content of the directory.
        But don't be thoughtlessly and keep a copy of The Fabulous Deleting One for the future.
      </p>
      <h3>How to handle directories which contains content with mixed permissions?</h3>
      <p>If your directory contains files and subdirectories which were dropped by a script as well as by you with your FTP-client, it's possible that they
        all have different rights. In this case you should first use your FTP-client to give all the content in your directory the permission to be deleted by everyone.
        This will only effects content which is owned by your FTP-client. After this is been done you can clean all content of the directory in one step by The Fabulous Deleting One.</p>

      <?php elseif($id == 3): ?>
      <h1>The Fabulous Deleting One</h1>
      <h2>Contact us</h2>
      <p>To look for other Fabulous Tools and update announcements follow us on our social websites. If you have found (and perhaps fixed) a bug or a mistake in our program, please
        post us a private message. Tell us about your experiences with our Fabulous Tools. Please use either English or German as language.</p>
      <div class="social">
        <p><strong>Facebook:</strong> <a href="https://www.facebook.com/selcox" title="meet us at facebook">facebook.com/selcox</a></p>
        <p><strong>Google+:</strong> <a href="https://plus.google.com/+SelcoxDeutschland" title="meet us at google+">google.com/+SelcoxDeutschland</a></p>
        <p><strong>Twitter:</strong> <a title="meet us at twitter" href="https://twitter.com/SelcoxDe">twitter.com/SelcoxDe</a></p>
        <p><strong>YouTube:</strong> <a href="http://www.youtube.com/user/SelcoxDeutschland">youtube.com/user/SelcoxDeutschland</a></p>
      </div>
      <div class="adress">
        <div>
          <h3>Selcox - Agentur für Kommunikationsdesign</h3>
          <p>Kastanienweg 11<br>57555 Mudersbach<br>Germany</p>
          <p><strong>web:</strong> <a href="http://www.selcox.de" target="_blank" title="meet us at home">www.selcox.de</a></p>
        </div>
        <img src="data:image/gif;base64,<?php echo $imgSelcox; ?>">
      </div>
      <div class="feedMe nonePrint">
        <h3>Feed me, Seymour</h3>
        <p>The Fabulous Deleting One is given to you free of charge. But if you like the tool, help me to develop and to improve it!
          You can use various payment methods (credit card, bank transfer, your PayPal account...).</p>
        <style type="text/css">
          #paypal {margin-top: 15px !important; display: block; position: relative; }
          #paypal select {border: 1px solid #cecece; font-family: verdana; font-size: 10px; line-height: 15px; width: 210px; height: 20px; outline: none;}
          #paypal label {display: inline-block; font-family: verdana; font-size: 10px; line-height: 15px;}
          #paypal .pplogo {position: relative; margin-top: 5px; margin-bottom: 8px;}
          #paypal .cell {vertical-align: middle; position: relative;}
          #paypal .cell:first-child {padding-right: 24px;}
          #paypal .ppbutt {position: absolute; top: -1px;}
        </style>

        <form id="paypal" action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank">
          <input type="hidden" name="cmd" value="_s-xclick">
          <input type="hidden" name="hosted_button_id" value="3F62KZTHC3PB4">
          <input type="hidden" name="on0" value="Your generosity">
          <input type="hidden" name="currency_code" value="EUR">
          <div class="tab">
            <div class="row">
              <div class="cell"><img class="pplogo" src="data:image/png;base64,<?php echo $pp; ?>"></div>
              <div class="cell"></div>
            </div>
            <div class="row">
              <div class="cell">
                <label for="selectId">Your generosity: </label>
                <select id="selectId" name="os0">
                  <option value="generous">generous: € 2,95</option>
                  <option selected value="real generous">real generous: € 4,95</option>
                  <option value="overwhelming generous">overwhelming generous: € 9,95</option>
                </select>
              </div>
              <div class="cell"><input class="ppbutt" type="image" src="data:image/png;base64,<?php echo $payNow; ?>" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!"></div>
            </div>
          </div>
        </form>
      </div>

      <?php elseif($id == 4): ?>
      <h1>The Fabulous Deleting One</h1>
      <h2>License</h2>
      <p>This is version 1.5 of The Fabulous Deleting One. The software is given to you free of charge under the Selcox&nbsp;Free&nbsp;Software&nbsp;License.</p>
      <p><strong>Copyright</strong> &copy; 2014 Selcox - Agentur f&uuml;r Kommunikationsdesign &#0183; Endres Gr&uuml;ner &#0183;
        <a href="http://www.selcox.de" title="meet us at home">www.selcox.de</a></p>

      <h3>The Selcox Free Software License (SFSL v. 1.1)</h3>
      <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software (the “Software”), to use the Software both privately or at work. You are allowed to copy, publish, distribute, sublicense and/or sell copies of the Software and permit other persons to whom the Software is furnished to do so, subject to the following conditions:</p>
      <p>The above copyright notice and this permission notice is included in all copies of the Software and the Software has not been modified by any other person or machine than the copyright holder itself.</p>
      <p>You are even allowed to modify or to merge the software for your own personal, individual use at home or at work as far as you not publish, distribute, sublicense and/or sell copies of your derivation or grant access any third party to it!</p>
      <p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
        NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
        OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
      <p><a href="http://www.selcox.de/sfsl">www.selcox.de/sfsl</a></p>

      <h3>Additional Copyrights</h3>
      <p><strong>Eraser</strong>: &copy; <a href="http://simiographics.com/" title="meet him at home" target="_blank">Simiographics</a> &#0183; Salvador Lopez; downloaded at
        <a href="http://www.iconarchive.com/show/mixed-icons-by-simiographics.html" title="" target="_blank">Icon Archive</a>; Freeware (Commercial usage allowed)</p>

      <?php elseif($id == 5):
        echo '<h1>The Fabulous Deleting One</h1><h2>After work party</h2>';

        $Cleaner->log = true;
        echo $Cleaner->start();
      ?>

      <?php endif; ?>

      <img<?php echo ($id == 5) ? ' class="run" ' : ''; ?> id="buddy" src="data:image/png;base64,<?php echo $imgEraser; ?>">
      <p id="printAdr">www.selcox.de/tfdo</p>
    </div>
  </body>
</html>